# SpeciesCritBoosterModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesCritBoosterModifier

Modifier used for held items that apply critical-hit stage boost(s) if the holder is of a specific `Species`.

#### See

`shouldApply`

#### Hierarchy (View Summary)

- CritBoosterModifier
  - SpeciesCritBoosterModifier

- Defined in src/modifier/modifier.ts:1387

##### Index

### Constructors

constructor

### Properties

isTransferable
pokemonId
stackCount
stageIncrement
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getStackCount
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new SpeciesCritBoosterModifier(
  type: ModifierType ,
  pokemonId: number,
  stageIncrement: number,
  species: Species [],
  stackCount?: number,
  ): SpeciesCritBoosterModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - stageIncrement: number
  - species: Species []
  - `Optional` stackCount: number

  #### Returns SpeciesCritBoosterModifier

  Overrides CritBoosterModifier.constructor

  - Defined in src/modifier/modifier.ts:1391

## Properties

### isTransferable

isTransferable: boolean = true

Inherited from CritBoosterModifier.isTransferable

- Defined in src/modifier/modifier.ts:657

### pokemonId

pokemonId: number

Inherited from CritBoosterModifier.pokemonId

- Defined in src/modifier/modifier.ts:656

### stackCount

stackCount: number

Inherited from CritBoosterModifier.stackCount

- Defined in src/modifier/modifier.ts:186

### `Protected` stageIncrement

stageIncrement: number

The amount of stages by which the held item increases the current critical-hit stage value

Inherited from CritBoosterModifier.stageIncrement

- Defined in src/modifier/modifier.ts:1341

### type

type: ModifierType

Inherited from CritBoosterModifier.type

- Defined in src/modifier/modifier.ts:159

### virtualStackCount

virtualStackCount: number

Inherited from CritBoosterModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:187

## Methods

### add

- add(modifiers: PersistentModifier [], virtual: boolean): boolean

  #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean

  #### Returns boolean

  Inherited from CritBoosterModifier.add

  - Defined in src/modifier/modifier.ts:195

### apply

- apply(_pokemon: default , critStage: NumberHolder ): boolean

  Increases the current critical-hit stage value by `stageIncrement`.

  #### Parameters

  - _pokemon: default

    `Pokemon` N/A

  - critStage: NumberHolder

    `NumberHolder` that holds the resulting critical-hit level

  #### Returns boolean

  always `true`

  Inherited from CritBoosterModifier.apply

  - Defined in src/modifier/modifier.ts:1371

### clone

- clone(): SpeciesCritBoosterModifier

  #### Returns SpeciesCritBoosterModifier

  Overrides CritBoosterModifier.clone

  - Defined in src/modifier/modifier.ts:1397

### getArgs

- getArgs(): any[]

  #### Returns any[]

  Overrides CritBoosterModifier.getArgs

  - Defined in src/modifier/modifier.ts:1407

### getIcon

- getIcon(forSummary?: boolean): Container

  #### Parameters

  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from CritBoosterModifier.getIcon

  - Defined in src/modifier/modifier.ts:696

### getIconStackText

- getIconStackText(virtual?: boolean): null | BitmapText

  #### Parameters

  - `Optional` virtual: boolean

  #### Returns null | BitmapText

  Inherited from CritBoosterModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:260

### getMaxHeldItemCount

- getMaxHeldItemCount(_pokemon: default ): number

  #### Parameters

  - _pokemon: default

  #### Returns number

  Inherited from CritBoosterModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:1376

### getMaxStackCount

- getMaxStackCount(forThreshold?: boolean): number

  #### Parameters

  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from CritBoosterModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:737

### getPokemon

- getPokemon(): undefined | default

  #### Returns undefined | default

  Inherited from CritBoosterModifier.getPokemon

  - Defined in src/modifier/modifier.ts:729

### getScoreMultiplier

- getScoreMultiplier(): number

  #### Returns number

  Inherited from CritBoosterModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:733

### getStackCount

- getStackCount(): number

  #### Returns number

  Inherited from CritBoosterModifier.getStackCount

  - Defined in src/modifier/modifier.ts:229

### incrementStack

- incrementStack(amount: number, virtual: boolean): boolean

  #### Parameters

  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from CritBoosterModifier.incrementStack

  - Defined in src/modifier/modifier.ts:216

### isIconVisible

- isIconVisible(): boolean

  #### Returns boolean

  Inherited from CritBoosterModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:692

### match

- match(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from CritBoosterModifier.match

  - Defined in src/modifier/modifier.ts:667

### matchType

- matchType(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides CritBoosterModifier.matchType

  - Defined in src/modifier/modifier.ts:1411

### shouldApply

- shouldApply(pokemon: default , critStage: NumberHolder ): boolean

  Checks if the holder's `Species` (or its fused species) is listed in species.

  #### Parameters

  - pokemon: default

    `Pokemon` that holds the held item

  - critStage: NumberHolder

    `NumberHolder` that holds the resulting critical-hit level

  #### Returns boolean

  `true` if the critical-hit level can be incremented, false otherwise

  Overrides CritBoosterModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1422